summaryrefslogtreecommitdiff
path: root/dev-python/python-ipware/python-ipware-2.0.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-04-12 18:15:06 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-04-12 18:15:06 +0000
commit8de686c6b1172e50892db47c6f2e2e8241182135 (patch)
tree7b9c042d60e2557847daded09c20862d85e7d912 /dev-python/python-ipware/python-ipware-2.0.3.ebuild
parent3c63363f5d8d98a8bac568ce23957986ed2791c2 (diff)
downloadbaldeagleos-repo-8de686c6b1172e50892db47c6f2e2e8241182135.tar.gz
baldeagleos-repo-8de686c6b1172e50892db47c6f2e2e8241182135.tar.xz
baldeagleos-repo-8de686c6b1172e50892db47c6f2e2e8241182135.zip
Adding metadata
Diffstat (limited to 'dev-python/python-ipware/python-ipware-2.0.3.ebuild')
-rw-r--r--dev-python/python-ipware/python-ipware-2.0.3.ebuild20
1 files changed, 20 insertions, 0 deletions
diff --git a/dev-python/python-ipware/python-ipware-2.0.3.ebuild b/dev-python/python-ipware/python-ipware-2.0.3.ebuild
new file mode 100644
index 000000000000..251bcecbf35c
--- /dev/null
+++ b/dev-python/python-ipware/python-ipware-2.0.3.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2023-2024 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Django application to retrieve user's IP address"
+HOMEPAGE="https://github.com/un33k/python-ipware https://pypi.org/project/python-ipware/"
+SRC_URI="https://github.com/un33k/python-ipware/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+python_test() {
+ "${EPYTHON}" tests/manage.py test -v2 myapp || die "Tests failed with ${EPYTHON}"
+}